Package org.springframework.cglib.reflect

# Class FastConstructor

java.lang.Object
org.springframework.cglib.reflect.FastMember
org.springframework.cglib.reflect.FastConstructor

public class FastConstructor extends FastMember

## Field Summary

### Fields inherited from class org.springframework.cglib.reflect.FastMember

`fc, index, member`

## Method Summary

Modifier and Type
Method
Description
`Class[]`
`getExceptionTypes()`
`Constructor`
`getJavaConstructor()`
`Class[]`
`getParameterTypes()`
`Object`
`newInstance()`
`Object`
`newInstance(Object[] args)`

### Methods inherited from class org.springframework.cglib.reflect.FastMember

`equals, getDeclaringClass, getIndex, getModifiers, getName, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### getParameterTypes

public Class[] getParameterTypes()

Specified by:
  `getParameterTypes` in class `FastMember`

### getExceptionTypes

public Class[] getExceptionTypes()

Specified by:
  `getExceptionTypes` in class `FastMember`

### newInstance

public Object newInstance() throws InvocationTargetException

Throws:
  `InvocationTargetException`

### newInstance

public Object newInstance(Object[] args) throws InvocationTargetException

Throws:
  `InvocationTargetException`

### getJavaConstructor

public Constructor getJavaConstructor()